Subject: Re: [syzbot] WARNING in sta_info_insert_rcu

From: syzbot <[email-masked]>
Date: Sat, 06 Nov 2021 09:09:06 -0700

syzbot suspects this issue was fixed by commit:

commit a6555f844549cd190eb060daef595f94d3de1582
Author: YueHaibing <[email-masked]>
Date:   Fri Aug 27 14:42:30 2021 +0000

    mac80211: Drop frames from invalid MAC address in ad-hoc mode

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=103db432b00000
start commit:   7266f2030eb0 Merge tag 'pm-5.13-rc8' of git://git.kernel.o..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=533cb04fad26afdb
dashboard link: https://syzkaller.appspot.com/bug?extid=ef4ca92d9d6f5ba2f880
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=11be2fd0300000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=10d85b14300000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: mac80211: Drop frames from invalid MAC address in ad-hoc mode

For information about bisection process see: https://goo.gl/tpsmEJ#bisection